> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Re run with overrides

> Re-run a Flyte execution with the same inputs but with overridden parameters



## OpenAPI

````yaml /api-specs/cloud/flyte-extensions-api.json post /executions/v1/execution/{execution-id}/rerunWithOverrides
openapi: 3.1.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: "\n\tAdds a number of extended operations to Flyte in support of retrieving artifact\n\tmetadata and bookmarking artifacts from individual executions."
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: >-
    https://tickets.dominodatalab.com/hc/en-us/articles/360060058871-Service-Level-Agreement
  title: Flyte HTTP Gateway
  version: '0.1'
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech/flows/api
security: []
tags:
  - name: Artifacts
  - name: Blob
  - name: Bookmarks
  - name: Execution
  - name: Exports
paths:
  /executions/v1/execution/{execution-id}/rerunWithOverrides:
    post:
      tags:
        - Execution
      summary: Re run with overrides
      description: >-
        Re-run a Flyte execution with the same inputs but with overridden
        parameters
      operationId: re-run-with-overrides
      parameters:
        - in: path
          name: execution-id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              description: protojson-encoded admin.ExecutionCreateRequest
        required: true
      responses:
        '204':
          description: No Content
          headers:
            Closure:
              schema:
                $ref: '#/components/schemas/ExecutionClosure'
            Id:
              schema:
                $ref: '#/components/schemas/WorkflowExecutionIdentifier'
            Spec:
              schema:
                $ref: '#/components/schemas/ExecutionSpec'
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    ExecutionClosure:
      additionalProperties: false
      properties:
        OutputResult: {}
        computed_inputs:
          $ref: '#/components/schemas/LiteralMap'
        created_at:
          $ref: '#/components/schemas/Timestamp'
        duration:
          $ref: '#/components/schemas/Duration'
        notifications:
          items:
            $ref: '#/components/schemas/Notification'
          type:
            - array
            - 'null'
        phase:
          format: int32
          type: integer
        started_at:
          $ref: '#/components/schemas/Timestamp'
        state_change_details:
          $ref: '#/components/schemas/ExecutionStateChangeDetails'
        updated_at:
          $ref: '#/components/schemas/Timestamp'
        workflow_id:
          $ref: '#/components/schemas/Identifier'
      required:
        - OutputResult
      type: object
    WorkflowExecutionIdentifier:
      additionalProperties: false
      properties:
        domain:
          type: string
        name:
          type: string
        org:
          type: string
        project:
          type: string
      type: object
    ExecutionSpec:
      additionalProperties: false
      properties:
        NotificationOverrides: {}
        annotations:
          $ref: '#/components/schemas/Annotations'
        auth_role:
          $ref: '#/components/schemas/AuthRole'
        cluster_assignment:
          $ref: '#/components/schemas/ClusterAssignment'
        envs:
          $ref: '#/components/schemas/Envs'
        execution_cluster_label:
          $ref: '#/components/schemas/ExecutionClusterLabel'
        execution_env_assignments:
          items:
            $ref: '#/components/schemas/ExecutionEnvAssignment'
          type:
            - array
            - 'null'
        inputs:
          $ref: '#/components/schemas/LiteralMap'
        interruptible:
          $ref: '#/components/schemas/BoolValue'
        labels:
          $ref: '#/components/schemas/Labels'
        launch_plan:
          $ref: '#/components/schemas/Identifier'
        max_parallelism:
          format: int32
          type: integer
        metadata:
          $ref: '#/components/schemas/ExecutionMetadata'
        overwrite_cache:
          type: boolean
        quality_of_service:
          $ref: '#/components/schemas/QualityOfService'
        raw_output_data_config:
          $ref: '#/components/schemas/RawOutputDataConfig'
        security_context:
          $ref: '#/components/schemas/SecurityContext'
        tags:
          items:
            type: string
          type:
            - array
            - 'null'
      required:
        - NotificationOverrides
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    LiteralMap:
      additionalProperties: false
      properties:
        literals:
          additionalProperties:
            $ref: '#/components/schemas/Literal'
          type: object
      type: object
    Timestamp:
      additionalProperties: false
      properties:
        nanos:
          format: int32
          type: integer
        seconds:
          format: int64
          type: integer
      type: object
    Duration:
      additionalProperties: false
      properties:
        nanos:
          format: int32
          type: integer
        seconds:
          format: int64
          type: integer
      type: object
    Notification:
      additionalProperties: false
      properties:
        Type: {}
        phases:
          items:
            format: int32
            type: integer
          type:
            - array
            - 'null'
      required:
        - Type
      type: object
    ExecutionStateChangeDetails:
      additionalProperties: false
      properties:
        occurred_at:
          $ref: '#/components/schemas/Timestamp'
        principal:
          type: string
        state:
          format: int32
          type: integer
      type: object
    Identifier:
      additionalProperties: false
      properties:
        domain:
          type: string
        name:
          type: string
        org:
          type: string
        project:
          type: string
        resource_type:
          format: int32
          type: integer
        version:
          type: string
      type: object
    Annotations:
      additionalProperties: false
      properties:
        values:
          additionalProperties:
            type: string
          type: object
      type: object
    AuthRole:
      additionalProperties: false
      properties:
        assumable_iam_role:
          type: string
        kubernetes_service_account:
          type: string
      type: object
    ClusterAssignment:
      additionalProperties: false
      properties:
        cluster_pool_name:
          type: string
      type: object
    Envs:
      additionalProperties: false
      properties:
        values:
          items:
            $ref: '#/components/schemas/KeyValuePair'
          type:
            - array
            - 'null'
      type: object
    ExecutionClusterLabel:
      additionalProperties: false
      properties:
        value:
          type: string
      type: object
    ExecutionEnvAssignment:
      additionalProperties: false
      properties:
        execution_env:
          $ref: '#/components/schemas/ExecutionEnv'
        node_ids:
          items:
            type: string
          type:
            - array
            - 'null'
        task_type:
          type: string
      type: object
    BoolValue:
      additionalProperties: false
      properties:
        value:
          type: boolean
      type: object
    Labels:
      additionalProperties: false
      properties:
        values:
          additionalProperties:
            type: string
          type: object
      type: object
    ExecutionMetadata:
      additionalProperties: false
      properties:
        artifact_ids:
          items:
            $ref: '#/components/schemas/ArtifactID'
          type:
            - array
            - 'null'
        mode:
          format: int32
          type: integer
        nesting:
          format: int32
          minimum: 0
          type: integer
        parent_node_execution:
          $ref: '#/components/schemas/NodeExecutionIdentifier'
        principal:
          type: string
        reference_execution:
          $ref: '#/components/schemas/WorkflowExecutionIdentifier'
        scheduled_at:
          $ref: '#/components/schemas/Timestamp'
        system_metadata:
          $ref: '#/components/schemas/SystemMetadata'
      type: object
    QualityOfService:
      additionalProperties: false
      properties:
        Designation: {}
      required:
        - Designation
      type: object
    RawOutputDataConfig:
      additionalProperties: false
      properties:
        output_location_prefix:
          type: string
      type: object
    SecurityContext:
      additionalProperties: false
      properties:
        run_as:
          $ref: '#/components/schemas/Identity'
        secrets:
          items:
            $ref: '#/components/schemas/Secret'
          type:
            - array
            - 'null'
        tokens:
          items:
            $ref: '#/components/schemas/OAuth2TokenRequest'
          type:
            - array
            - 'null'
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    Literal:
      additionalProperties: false
      properties:
        Value: {}
        hash:
          type: string
        metadata:
          additionalProperties:
            type: string
          type: object
      required:
        - Value
      type: object
    KeyValuePair:
      additionalProperties: false
      properties:
        key:
          type: string
        value:
          type: string
      type: object
    ExecutionEnv:
      additionalProperties: false
      properties:
        Environment: {}
        name:
          type: string
        type:
          type: string
        version:
          type: string
      required:
        - Environment
      type: object
    ArtifactID:
      additionalProperties: false
      properties:
        artifact_key:
          $ref: '#/components/schemas/ArtifactKey'
        partitions:
          $ref: '#/components/schemas/Partitions'
        time_partition:
          $ref: '#/components/schemas/TimePartition'
        version:
          type: string
      type: object
    NodeExecutionIdentifier:
      additionalProperties: false
      properties:
        execution_id:
          $ref: '#/components/schemas/WorkflowExecutionIdentifier'
        node_id:
          type: string
      type: object
    SystemMetadata:
      additionalProperties: false
      properties:
        execution_cluster:
          type: string
        namespace:
          type: string
      type: object
    Identity:
      additionalProperties: false
      properties:
        execution_identity:
          type: string
        iam_role:
          type: string
        k8s_service_account:
          type: string
        oauth2_client:
          $ref: '#/components/schemas/OAuth2Client'
      type: object
    Secret:
      additionalProperties: false
      properties:
        env_var:
          type: string
        group:
          type: string
        group_version:
          type: string
        key:
          type: string
        mount_requirement:
          format: int32
          type: integer
      type: object
    OAuth2TokenRequest:
      additionalProperties: false
      properties:
        client:
          $ref: '#/components/schemas/OAuth2Client'
        idp_discovery_endpoint:
          type: string
        name:
          type: string
        token_endpoint:
          type: string
        type:
          format: int32
          type: integer
      type: object
    ArtifactKey:
      additionalProperties: false
      properties:
        domain:
          type: string
        name:
          type: string
        org:
          type: string
        project:
          type: string
      type: object
    Partitions:
      additionalProperties: false
      properties:
        value:
          additionalProperties:
            $ref: '#/components/schemas/LabelValue'
          type: object
      type: object
    TimePartition:
      additionalProperties: false
      properties:
        granularity:
          format: int32
          type: integer
        value:
          $ref: '#/components/schemas/LabelValue'
      type: object
    OAuth2Client:
      additionalProperties: false
      properties:
        client_id:
          type: string
        client_secret:
          $ref: '#/components/schemas/Secret'
      type: object
    LabelValue:
      additionalProperties: false
      properties:
        Value: {}
      required:
        - Value
      type: object

````

## Related topics

- [Create and run Jobs](/cloud/platform-capabilities/core-concepts/jobs/create-and-run-jobs.md)
- [Selectively revert past materials](/cloud/platform-capabilities/core-concepts/reproducibility/revert-materials.md)
- [Data Planes administration](/cloud/admin/platform-configuration/manage-data-planes.md)
- [Launch Flows](/cloud/platform-capabilities/features/flows/launch-flows.md)
